Kick

List Kick channel emotes

List a Kick channel's emotes plus the shared global emotes and emoji.

GET/v1/kick/channels/{slug}/emotes
x-api-keystringheader

API key (`sfk_...`)

Parameters
1
slugstringrequiredpath

Kick channel slug, case-insensitive. Most replace the username's underscores with hyphens (e.g. `alfalfa-kid`, not `alfalfa_kid`), but some keep an underscore (e.g. `pala_okey`).

min 1 chars · max 64 chars · pattern: ^[A-Za-z0-9_-]+$

Response fields
21

Endpoint-specific response payload.

datalookupStatus
string

`not_found` when the channel slug does not resolve.

one of: found, not_found

Emotes the channel owns.

datachannelEmotes[]id
integer

Emote id.

datachannelEmotes[]name
string

Emote code.

datachannelEmotes[]subscribersOnly
booleannullable

Whether it is for subscribers.

datachannelEmotes[]imageUrl
string

Public full-size image URL for the emote.

Kick's global emotes.

dataglobalEmotes[]id
integer

Emote id.

dataglobalEmotes[]name
string

Emote code.

dataglobalEmotes[]subscribersOnly
booleannullable

Whether it is for subscribers.

dataglobalEmotes[]imageUrl
string

Public full-size image URL for the emote.

Kick's emoji set.

dataemoji[]id
integer

Emote id.

dataemoji[]name
string

Emote code.

dataemoji[]subscribersOnly
booleannullable

Whether it is for subscribers.

dataemoji[]imageUrl
string

Public full-size image URL for the emote.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/kick/channels/xqc/emotes" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Kick emotes.